levelshots/UJE_rotterdam_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/UJE_rotterdam_cc.tga
		depthFunc equal
		rgbGen identity
	}
}
levelshots/UJE_rotterdam_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/UJE_rotterdam_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
textures/UJE_rotterdam/uje_sky
{
	qer_editorimage textures/UJE_rotterdam/cherbourg_sky.jpg
	q3map_nofog
	q3map_skylight 110 3
	q3map_sun 0.130 0.080 0.020 140 0 14
	nocompress
	skyparms - 200 -
	sunshader textures/UJE_rotterdam/cherbourg_sun
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	{	
		fog off
		map textures/UJE_rotterdam/cherbourg_sky.jpg
		tcMod scale 0.956 0.956
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/UJE_rotterdam/cherbourg_clouds.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}

textures/UJE_rotterdam/cherbourg_sun
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/skies_sd/batterysunfog.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/UJE_rotterdam/beach_clouds
{
	nocompress
	qer_editorimage textures/UJE_rotterdam/beach_topclouds.tga
	q3map_lightrgb 0.7 0.8 0.85
	q3map_sun 1 .96 .87 120 140 60
	q3map_skylight 60 3
	q3map_nofog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	sunshader textures/UJE_rotterdam/beach_sun
	{	
		fog off
		map textures/UJE_rotterdam/beach_topclouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/UJE_rotterdam/beach_sky_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/UJE_rotterdam/beach_sun
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/UJE_rotterdam/beach_sun.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/UJE_rotterdam/raam4
{
	qer_editorimage textures/UJE_rotterdam/raam4.jpg
	q3map_surfacelight 50
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_rotterdam/raam4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJE_rotterdam/raam4_blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/foliage/weed
{
	surfaceparm trans
	surfaceparm pointlight
	cull disable

	// distanceCull <inner&rt; <outer&rt; <alpha threshold&rt;
	distanceCull 256 1024 0.4

	{
		map models/foliage/weed.md3
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}

textures/UJE_rotterdam/beach_dirt
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	surfaceparm landmine
	surfaceparm gravelsteps
	implicitMap -
}

textures/UJE_rotterdam/beach_grass
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	q3map_foliage models/foliage/weed.md3 1.0 16 0.010 0
	surfaceparm landmine
	surfaceparm grasssteps
	implicitMap -
}

textures/UJE_rotterdam/metal_lattice
{
	qer_trans 0.85
	qer_editorimage textures/UJE_rotterdam/metal_lattice.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_rotterdam/metal_lattice.tga
}

textures/UJE_rotterdam/ivy
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/UJE_rotterdam/bunkerdoor
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm woodsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/UJE_rotterdam/window_1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	implicitBlend -
}
textures/UJE_rotterdam/foliage_thick
{
	qer_trans 0.95
	qer_editorimage textures/UJE_rotterdam/foliage_thick.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
	surfaceparm playerclip
}

textures/UJE_rotterdam/foliage_thick2
{
	qer_trans 0.95
	qer_editorimage textures/UJE_rotterdam/foliage_thick2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
	surfaceparm playerclip
}

textures/UJE_rotterdam/ropes
{
	qer_trans 0.95
	qer_editorimage textures/UJE_rotterdam/ropes.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
	surfaceparm playerclip
}

textures/UJE_rotterdam/hay_trans
{
	qer_trans 0.95
	qer_editorimage textures/UJE_rotterdam/hay_trans.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
	surfaceparm playerclip
}

textures/UJE_rotterdam/sewer_nodraw
{
	qer_editorimage textures/UJE_rotterdam/sewer_nodraw.tga
	qer_trans .05
	surfaceparm nodraw
	surfaceparm water
}
textures/UJE_rotterdam/kraan_ns
{
	qer_editorimage textures/metal_misc/metal_m03.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/metal_m03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}
textures/UJE_rotterdam/sewer
{
	qer_editorimage textures/UJE_rotterdam/sewer.tga
	qer_trans .75
	q3map_globaltexture
	cull disable
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	waterfogvars ( 0.09411 0.09803 0.09411 ) 0.1
	nopicmip
	{
		map textures/UJE_rotterdam/sewer.tga
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scale 0.5 0.5
		fog on
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}	
}
models/UJE_rotterdam/flowers
{
	surfaceparm trans
	surfaceparm pointlight

	cull disable

	// distanceCull <inner&rt; <outer&rt; <alpha threshold&rt;
	distanceCull 256 1024 0.4

	{
		map models/artillary/flowers.md3
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}
textures/UJE_rotterdam/window_1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	implicitBlend -
}

textures/UJE_rotterdam/flowers
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage textures/UJE_rotterdam/flowers.tga
	cull disable
	// distanceCull <inner> <outer> <alpha threshold>
	distanceCull 1792 1792 0.49
	sort seethrough
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	{
		map textures/UJE_rotterdam/flowers.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}

textures/UJE_rotterdam/fence_spiked
{
	qer_trans 0.95
	qer_editorimage textures/UJE_rotterdam/fence_spiked.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_rotterdam/fence_spiked.tga
}

textures/UJE_rotterdam/dirt
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	surfaceparm landmine
	surfaceparm gravelsteps
	implicitMap -
}

textures/UJE_rotterdam/grass
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	q3map_foliage models/foliage/weed.md3 1.0 16 0.008 0
	surfaceparm landmine
	surfaceparm grasssteps
	implicitMap -
}
textures/UJE_rotterdam/wood_burned
{
	qer_trans 0.95
	qer_editorimage textures/UJE_rotterdam/wood_burned.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_rotterdam/wood_burned.tga
}
textures/UJE_rotterdam/apt_window_light
{
	qer_editorimage textures/cherbourg/apt_window_light.jpg
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cherbourg/apt_window_light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cherbourg/apt_window_light_blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/UJE_rotterdam/hotel_window
{
	qer_editorimage textures/UJE_rotterdam/hotel_window.jpg
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_rotterdam/hotel_window.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJE_rotterdam/hotel_window_blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}
textures/UJE_rotterdam/ijzer
{
	{
		map $lightmap
		rgbgen identity      
	}

	{
		map textures/UJE_rotterdam/ijzer.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaGen lightingSpecular
		rgbGen identity
	}
				
}
textures/UJE_rotterdam/boomlijn
{
	qer_editorimage textures/UJE_rotterdam/boomlijn.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm woodsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_rotterdam/boomlijn.tga
}
textures/UJE_rotterdam/tele_rood
{
	cull none
	q3map_lightimage textures/UJE_rotterdam/tele_rood.tga	
	q3map_surfacelight 100

	
	{
		map textures/UJE_rotterdam/elec_rood.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/UJE_rotterdam/tele_rood.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}
//---
models/mapobjects/ktrees/05bark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/ttrunk
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/12branch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/ktrees/ttree
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/GR_trees/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/br_fountain2/br_waterfall3
{
	qer_editorimage models/mapobjects/br_fountain2/br_waterfall3.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map models/mapobjects/br_fountain2/br_waterfall3.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.5
		alphaGen Vertex
	}
}
textures/battery/ocean_0
{
	q3map_baseshader textures/liquids_sd/seawall_specular.tga
	cull none
	deformVertexes wave 1317 sin 0 2.5 0 0.15
 	deformVertexes wave 317 sin 0 1.5 0 0.30
	
	{
		map textures/liquids_sd/seawall_specular.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcGen environment
		depthWrite
	}
		
	{ 
		map textures/liquids_sd/sea_bright_na.tga
		blendFunc blend
		rgbGen identity
		alphaGen const 0.8
		tcmod scroll 0.005 0.03
	}
	
}